> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sendrealm.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Automation Runs

> List runs for an automation.

## Run list includes

* Trigger event
* Resolved identity
* Per-step timeline
* Wait states
* Timeout path
* Linked sent email and push records
* Last error


## OpenAPI

````yaml api-reference/openapi.json GET /automations/{id}/runs
openapi: 3.0.1
info:
  title: Sendrealm API
  description: >-
    API for email, push, audience resources, domains, campaign drafts,
    templates, events, topics, and automations
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.sendrealm.com
security:
  - bearerAuth: []
paths:
  /automations/{id}/runs:
    get:
      summary: List automation runs
      parameters:
        - $ref: '#/components/parameters/Id'
      responses:
        '200':
          description: Run list
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AutomationRunsListResponse'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
components:
  parameters:
    Id:
      name: id
      in: path
      required: true
      schema:
        type: string
        format: uuid
  schemas:
    AutomationRunsListResponse:
      type: object
      required:
        - status
        - data
        - metadata
      properties:
        status:
          type: integer
          description: HTTP response status code
        data:
          type: array
          items:
            $ref: '#/components/schemas/AutomationRun'
        metadata:
          $ref: '#/components/schemas/CursorMetadata'
    AutomationRun:
      type: object
      required:
        - id
        - automation_id
        - automation_version_id
        - contact_id
        - trigger_event_name
        - resolved_identity_type
        - resolved_identity_value
        - correlation
        - execution_mode
        - status
        - last_error
        - started_at
        - completed_at
        - virtual_now
        - terminal_reason
        - completed_step_key
        - cancellation_requested_at
        - cancellation_reason
        - canceled_at
        - created_at
        - updated_at
      properties:
        id:
          type: string
          format: uuid
        automation_id:
          type: string
          format: uuid
        automation_version_id:
          type: string
          format: uuid
        contact_id:
          type: string
          format: uuid
          nullable: true
        trigger_event_name:
          type: string
        resolved_identity_type:
          type: string
        resolved_identity_value:
          type: string
        correlation:
          type: object
          nullable: true
          allOf:
            - $ref: '#/components/schemas/Correlation'
        execution_mode:
          type: string
        status:
          type: string
        last_error:
          type: string
          nullable: true
        started_at:
          type: string
          format: date-time
        completed_at:
          type: string
          format: date-time
          nullable: true
        virtual_now:
          type: string
          format: date-time
          nullable: true
        terminal_reason:
          type: string
          nullable: true
        completed_step_key:
          type: string
          nullable: true
        cancellation_requested_at:
          type: string
          format: date-time
          nullable: true
        cancellation_reason:
          type: string
          nullable: true
        canceled_at:
          type: string
          format: date-time
          nullable: true
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
    CursorMetadata:
      type: object
      required:
        - items
        - has_more
        - next
      properties:
        items:
          type: integer
        has_more:
          type: boolean
        next:
          type: string
          nullable: true
    Error:
      type: object
      required:
        - status
        - error
      properties:
        status:
          type: integer
        error:
          type: object
          required:
            - code
            - message
          properties:
            code:
              type: string
            message:
              type: string
            details:
              $ref: '#/components/schemas/JsonValue'
            issues:
              type: array
              items:
                $ref: '#/components/schemas/ValidationIssue'
    Correlation:
      type: object
      required:
        - key
        - value
      properties:
        key:
          type: string
          maxLength: 100
        value:
          type: string
          maxLength: 255
    JsonValue:
      oneOf:
        - type: string
          nullable: true
        - type: number
        - type: boolean
        - type: object
          additionalProperties:
            $ref: '#/components/schemas/JsonValue'
        - type: array
          items:
            $ref: '#/components/schemas/JsonValue'
    ValidationIssue:
      type: object
      required:
        - code
        - path
        - message
      properties:
        code:
          type: string
        path:
          type: string
          nullable: true
        message:
          type: string
  responses:
    Unauthorized:
      description: Invalid or missing API key
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    NotFound:
      description: Resource not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````